@import './reset';
@import './base';
@import './palette';
@import './icons';
@import './fonts';

body {
    background-color: $color1;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
}

textarea {
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
}

nav {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding: 30px 40px;

    a {
        text-decoration: unset;
        margin-left: 30px;
        color: $color2;
        font-family: 'Roboto', sans-serif;
        font-weight: 200;
        font-size: 18px;

        &:hover {
            color: $color13;
        }
        &.active {
            color: $color3;
            font-weight: 700;
        }
    }

    .disabled-link.active {
        cursor: not-allowed;
        color: $color2;
        font-weight: 200;
        &:hover {
            color: $color13;
        }
    }

    .button-logout {

        display: flex;
        justify-content: center;
        align-items: center;
        padding: 9px 19px 8px;
        border: none;
        font-size: 14px;
        text-transform: uppercase;
        font-weight: bold;
        background: none;
        color: #ffffff;
        border-radius: 4px;
        transition: all 200ms;
        transform: scale(1);
        background-color: $color19;
        margin-left: 50px;

        &:hover {
            cursor: pointer;
            transform: scale(1.1);
            background-color: $color11;
            color: white;


        }
    }
}

.sign-form {
    width: calc(40% - 45px);
    margin: 0 auto;

    form {
        background-color: white;
        border-radius: 10px;
        padding: 50px 40px;
    }

    fieldset{
        border: unset;
    }

    fieldset + p {
        margin-top: 40px;
        font-size: 14px;
        color: $color2;
        font-family: 'Roboto', sans-serif;
        font-weight: 200;

        a{
            text-decoration: unset;
            color: $color3;
        }
    }

    legend {
        text-align: center;
        font-size: 24px;
        font-family: 'Roboto', sans-serif;
        font-weight: 500;
        margin-bottom: 20px;
        color: $color17;

    }

    label {
        display: block;
        width: 100%;
        margin-bottom: 15px;
        color: $color2;

        .errorMessage {
            color: #8D211D;
            margin-bottom: 5px;
        }

        input {
            width: 100%;
            border: none;
            border-bottom: 1px solid #ececec;
            padding: 10px 0;
            outline: none;
            color: #252631;
            font-size: 20px;
            margin-bottom: 5px;

            &::-webkit-input-placeholder {
                color: #98a9bc;
            }

            &:-ms-input-placeholder {
                color: #98a9bc;
            }

            &::placeholder {
                color: #98a9bc;
            }

            &:active,
            &:focus {
                outline: unset;
            }
        }
    }

    [type="submit"] {
        margin-right: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 9px 19px 8px;
        border: none;
        font-size: 14px;
        text-transform: uppercase;
        font-weight: bold;
        background: none;
        color: $color6;
        border-radius: 4px;
        transition: all 200ms;

        &:hover {
            cursor: pointer;
            transform: scale(1.1);
        }
    }

    .button-login {
        background-color: $color13;

        &:disabled {
            cursor: initial;
            transform: scale(1);
            filter: grayscale(100%);
            opacity: 0.3;
        }
    }



}

main {
    padding-top: 87px;
    min-height: 800px;
}

.controls {
    display: flex;
    justify-content: flex-end;
    padding-right: 37px;
}

.button-create-task {
    background: none;
    border: none;
    color: $color3;
    font-weight: 600;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    transition: all 200ms;

    &::before {
        content: '\f055';
        font-family: 'Line Awesome Free';
        font-weight: 900;
        margin-right: 7px;
        font-size: 18px;
    }

    &:hover {
        transform: scale(1.1);
        cursor: pointer;
    }
}

.tag {
    display: inline-flex;
    justify-content: center;
    width: 92px;
    font-size: 14px;
    padding-top: 9px;
    padding-bottom: 8px;
    border-radius: 4px;

    &.first {
        color: $color7;
        background-color: $color8;
    }

    &.second {
        color: $color9;
        background-color: $color10;
    }

    &.third {
        color: $color11;
        background-color: $color12;
    }

    &.fourth {
        color: $color13;
        background-color: $color14;
    }

    &.fifth {
        color: $color15;
        background-color: $color16;
    }
}

.wrap {
    display: flex;
    min-height: 650px;
}

.list {
    width: 100%;
    flex-shrink: 1;
    background-color: $color6;
    margin: 30px 30px 0;
    padding: 30px 0;

    .tasks {
        padding: 0 30px 0;
        max-height: 600px;
        overflow-y: scroll;

        .task {
            display: flex;
            align-items: center;
            position: relative;
            height: 56px;

            &:hover {
                cursor: pointer;
                background-color: $color18;
            }

            &.selected {
                background-color: $color18;
            }

            &::before {
                content: '';
                display: block;
                width: 20px;
                height: 20px;
                border-radius: 2px;
                background-color: $color5;
                margin-right: 12px;
            }

            &::after {
                position: absolute;
                bottom: 0;
                content: '';
                width: 100%;
                height: 1px;
                background-color: $color5;
                display: block;
            }

            .title {
                color: $color4;
                font-size: 16px;
                line-height: 1;
                margin-top: 1px;
            }

            .meta {
                position: absolute;
                right: 0;

                .deadline {
                    font-size: 14px;
                    color: $color2;
                    margin-right: 18px;

                    &::before {
                        content: '\f133';
                        font-family: 'Line Awesome Free';
                        font-weight: 900;
                        margin-right: 6px;
                    }
                }
            }

            &.completed {
                &::before {
                    content: '\f00c';
                    font-family: 'Line Awesome Free';
                    font-weight: 900;
                    color: $color6;
                    background-color: $color3;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                }

                .title {
                    color: $color17;
                }
            }
        }
    }

    &.empty {
        background: none;
        padding-top: 126px;
        display: flex;
        justify-content: center;

        .tasks {
            display: none;
        }

        &::before {
            content: '';
            background-image: url('../assets/illustration.png');
            width: 460px;
            height: 311px;
            display: block;
            background-size: cover;
        }
    }
}

.task-card {
    margin-top: 30px;
    width: calc(50% - 45px);
    max-height: 600px;
    margin-right: 30px;
    flex-shrink: 0;
    background-color: $color6;
    padding-bottom: 50px;

    .head {
        display: flex;
        align-items: center;
        justify-content: space-between;
        position: relative;
        height: 53px;
        margin-bottom: 27px;

        &::after {
            content: '';
            display: block;
            position: absolute;
            bottom: 0;
            width: 100%;
            height: 1px;
            background-color: $color5;
        }

        .button-complete-task {
            font-size: 12px;
            font-weight: 600;
            text-transform: uppercase;
            color: $color17;
            display: flex;
            align-items: center;
            background: none;
            border: none;
            margin-left: 26px;

            .completed {
                &::before {
                    content: '\f00c';
                    color: $color6;
                    background-color: $color3;
                }
            }

            &:disabled {
                cursor: not-allowed;
                color: $color17;
            }

            &::before {
                content: '\f14a';
                font-family: 'Line Awesome Free';
                font-weight: 900;
                font-size: 19px;
                display: block;
                margin-right: 12px;
            }

            &:hover {
                cursor: pointer;
                color: $color3;
            }

            &:disabled:hover {
                cursor: not-allowed;
                color: $color17;
            }

            &.completed {
                color: $color3;
            }
        }

        .button-remove-task {
            border: none;
            background: none;
            outline: none;
            margin-right: 17px;
            transition: all 200ms;

            &::before {
                content: '\f00d';
                font-family: 'Line Awesome Free';
                font-weight: 900;
                font-size: 26px;
                display: block;
                color: $color11;
            }

            &:hover {
                cursor: pointer;
                transform: scale(1.1);
            }
        }
    }

}

.content {
    padding-left: 26px;
    padding-right: 44px;
    max-height: 596px;
    overflow-y: scroll;

    .label {
        display: block;
        font-size: 22px;
        color: $color2;
        margin-bottom: 14px;
    }

    .title {
        width: 100%;
        border: none;
        outline: none;
        color: $color4;
        font-size: 16px;
        margin-bottom: 32px;

        &::placeholder {
            color: $color2;
        }
    }

    .deadline {
        margin-bottom: 34px;

        .date {
            display: flex;
            align-items: center;

            input {
                font-size: 16px;
                font-weight: 600;
                color: $color4;
                border: none;
                outline: none;
            }

            &::before {
                content: '\f133';
                font-family: 'Line Awesome Free';
                font-weight: 900;
                font-size: 18px;
                margin-right: 6px;
                color: $color17;
            }
        }
    }

    .description {
        margin-bottom: 32px;

        .text {
            width: 100%;
            border: none;
            resize: none;
            outline: none;
            font-size: 16px;
            line-height: 21px;
            color: $color4;

            &::placeholder {
                color: $color2;
            }
        }
    }

    .checklist {
        margin-bottom: 34px;

        .label {
            display: block;
            font-size: 18px;
            color: $color4;
            margin-bottom: 16px;
        }

        .sub-tasks {
            .sub-task {
                display: flex;
                align-items: center;
                margin-bottom: 15px;

                &:last-child {
                    margin-bottom: 0;
                }

                button {
                    content: '';
                    display: block;
                    width: 20px;
                    height: 20px;
                    border-radius: 2px;
                    background-color: $color5;
                    margin-right: 14px;
                    border-style: none;

                    &:hover {
                        cursor: pointer;
                    }
                }

                input {
                    font-size: 16px;
                    border: none;
                    outline: none;
                    color: $color4;

                    &::placeholder {
                        color: $color17;
                    }
                }

                &.completed {
                    color: $color4;

                    button::before {
                        content: '\f00c';
                        font-family: 'Line Awesome Free';
                        font-weight: 900;
                        color: $color6;
                        background-color: $color3;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        height: 100%;
                        font-size: 15px;
                        border-radius: 2px;
                    }
                }

                &.incompleted {
                    input {
                        color: $color17;
                    }
                }
            }
        }
    }

    .tags {
        margin-bottom: 34px;

        .tag {
            opacity: 0.4;
            margin-right: 9px;
            transition: all 200ms;

            &:hover {
                opacity: 1;
                cursor: pointer;
                transform: scale(1.1);
            }

            &:last-child {
                margin-right: 0;
            }

            &.selected {
                opacity: 1;

                &:hover {
                    cursor: initial;
                    transform: initial;
                }
            }
        }
    }

    .form-controls {
        display: flex;

        button {
            margin-right: 10px;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 9px 19px 8px;
            border: none;
            font-size: 14px;
            text-transform: uppercase;
            font-weight: bold;
            background: none;
            color: $color6;
            border-radius: 4px;
            transition: all 200ms;

            &:hover {
                cursor: pointer;
                transform: scale(1.1);
            }
        }

        .button-close-task {
            background-color: $color17;

            &:disabled {
                cursor: initial;
                transform: scale(1);
                filter: grayscale(100%);
                opacity: 0.3;
            }

        }

        .button-save-task {
            background-color: $color13;

            &:disabled {
                cursor: initial;
                transform: scale(1);
                filter: grayscale(100%);
                opacity: 0.3;
            }
        }

        .button-reset-task {
            background-color: $color11;

            &:disabled {
                cursor: initial;
                transform: scale(1);
                filter: grayscale(100%);
                opacity: 0.3;
            }
        }

        .wrapper-close {
            width: 100%;
            display: flex;
            justify-content: flex-end;
        }
    }

    .errors {
        margin-top: 25px;
        margin-bottom: 25px;

        .errorMessage {
            color: #8D211D;
            margin-bottom: 5px;
        }
    }
}

.fieldset {
    width: 100% !important;
    border: none !important;
}

footer {
    position: absolute;

    bottom: 0;
    padding: 20px 0 23px 38px;

    @media screen and (max-height: 920px) {
        position: unset;
    }

    span {
        font-size: 14px;
        color: $color2;
    }
}

.container404 {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: calc(100vh - 100px);

    h1,
    h2 {
        font-size: 48px;
        color: $color4;
    }

    h2 {
        & > span {
            font-weight: 600;
            color: $color11;
        }
    }

    & a {
        color: $color4;
        cursor: pointer;
        transition: color 0.1s ease;

        &:hover {
            color: $color3;
        }

        & .active {
            color: lighten($color3, 20);
        }
    }
}
